Skip to navigation

List journal sessions

View as Markdown

This method returns a list of journal sessions by ID for the given user.

Note: This method can only be used by remote notaries to get information about themselves.

Required authentication scopes: notary_read.

Authentication

AuthorizationBearer
JWT Bearer token from DocuSign authorization server

Path parameters

accountIdstringRequiredformat: "uuid"
The account ID GUID.
userIdstringRequiredformat: "uuid"
The ID of the user.

Query parameters

startPositionintegerOptionalDefaults to 0

The position within the total result set from which to start returning values. Default: 0.

countintegerOptionalDefaults to 100

The maximum number of results to return. Default: 100.

recipientIdsFilterstringOptional

Filters returned session records by notaryRecipientId. Enter multiple values as a comma-separated list.

statusintegerOptional

Filters returned session records by status. Valid values are:

  • Any (default)
  • Incomplete
  • Complete
sortintegerOptional

The session attribute to use to sort the results.

Valid values are:

  • NotarizationDateAsc
  • NotarizationDateDesc
  • LastUpdatedDateAsc
  • LastUpdatedDateDesc (default)

Response

Successful response.
resultSetSizeintegerOptional

The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the value of totalSetSize.

startPositionintegerOptional

The position within the total result set from which to start returning values. Default: 0.

endPositionintegerOptional
The last index position in the result set.
nextUristring or nullOptional

The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.

priorUristring or nullOptional

The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.

totalSetSizeintegerOptional

The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize.

userJournalSessionslist of objects or nullOptional
An array of user journal session summaries.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error